pbs_node_attributes(7B)

NAME
pbs_node_attributes - attributes of PBS vnodes

DESCRIPTION
Vnodes have the following attributes:

comment
    Information about this vnode. This attribute may be set by the manager to any string to inform users of any information relating to the node. If this attribute is not explicitly set, the PBS server will use the attribute to pass information about the node status, specifically why the node is down. If the attribute is explicitly set by the manager, it will not be modified by the server.
    Readable by all; settable by Manager.
    Format: String
    Python type: str
    Default: No default

current_aoe
    The AOE currently instantiated on this vnode. Cannot be set on server's host.
    Readable by all; settable by Manager.
    Format: String
    Python type: str
    Default: Unset

current_eoe
    Current value of eoe on this vnode. We do not recommend setting this attribute manually.
    Readable by all; settable by Manager (not recommended).
    Format: String
    Python type: str
    Default: Unset

in_multivnode_host
    Specifies whether a vnode is part of a multi-vnoded host. Used internally. Do not set.
    Readable and settable by Manager (not recommended).
    Format: Integer
    Python type: int
    Behavior:

    1   Part of a multi-vnode host

    Unset
        Not part of a multi-vnode host

    Default: Unset

jobs
    List of jobs running on this vnode.
    Readable by all; set by PBS.
    Format: String
    Syntax: <processor number>/<job ID>, ...
    Python type: int

license
    Indicates whether this vnode is socket-licensed.
    Readable by all; set by PBS.
    Format: Character
    Python type: str
    Valid values:

    l   This vnode is socket licensed.

    Default: Unset

license_info
    Number of socket licenses assigned to this vnode.
    Readable by all; set by PBS.
    Format: Integer
    Python type: int
    Default: Unset

lictype
    No longer used.

maintenance_jobs
    List of jobs that were running on this vnode, but have been suspended via the admin-suspend signal to qsig.
    Readable by Manager; set by PBS.
    Format: string_array
    Python type: str
    Default: No default

max_group_run
    The maximum number of jobs owned by any users in a single group allowed to run on this vnode at one time.
    Readable by all; settable by Operator and Manager.
    Format: Integer
    Python type: int
    Default: No default

max_running
    The maximum number of jobs allowed to run on this vnode at any given time.
    Readable by all; settable by Operator and Manager.
    Format: Integer
    Python type: int
    Default: No default

max_user_run
    The maximum number of jobs owned by a single user allowed to run on this vnode at one time.
    Readable by all; settable by Operator and Manager.
    Format: Integer
    Python type: int
    Default: No default

Mom Hostname of host on which MoM daemon runs.
    Readable by all. Can be explicitly set by Manager only via qmgr, and only at vnode creation. The server can set this to the FQDN of the host on which MoM runs, if the vnode name is the same as the hostname.
    Format: String
    Python type: str
    Default: Value of vnode resource (vnode name)

name
    The name of this vnode.
    Readable by all; settable by Manager.
    Format: String
    Python type: str
    Default: No default

no_multinode_jobs
    Controls whether jobs which request more than one chunk are allowed to execute on this vnode. Used for cycle harvesting.
    Readable by all; settable by Manager.
    Format: Boolean
    Python type: bool
    Behavior:

    True
        Jobs requesting more than one chunk are not allowed to execute on this vnode.

    Default: False

ntype
    The type of this vnode.
    Readable by all; settable by Manager.
    Format: String
    Valid values:

    PBS Normal vnode; not Globus
        Python type: pbs.ND_PBS

    globus
        A Globus vnode (this functionality has been removed). Globus can still send jobs to PBS, but PBS no longer supports sending jobs to Globus.
        Python type: pbs.ND_GLOBUS

    Default: PBS

partition
    Name of partition to which this vnode is assigned. A vnode can be assigned to at most one partition.
    Readable by all; settable by Operator and Manager.
    Format: String
    Python type: str
    Default: No default

pbs_version
    The version of PBS for this MoM.
    Readable by all; set by PBS.
    Format: String
    Python type: str
    Default: No default

pcpus
    Deprecated. The number of physical CPUs on this vnode. This is set to the number of CPUs available when MoM starts. For a multiple-vnode MoM, only the natural vnode has pcpus.
    Readable by all; set by PBS.
    Format: Integer
    Python type: int
    Default: Number of CPUs on startup

pnames
    The list of resources being used for placement sets. Not used for scheduling; advisory only.
    Readable by all; settable by Manager.
    Format: String
    Syntax: Comma-separated list of resource names
    Python type: str
    Default: No default

Port
    Port number on which MoM daemon listens.
    Can be explicitly set only via qmgr, and only at vnode creation. Readable and settable by Operator and Manager.
    Format: Integer
    Python type: int
    Default: 15002

power_provisioning
    Enables use of power profiles by this vnode.
    Readable by all; settable by Manager.
    Format: Boolean
    Python type: bool
    Behavior:

    True
        Power provisioning is enabled at this vnode.

    False
        Power provisioning is disabled at this vnode.

    Default: False

Priority
    The priority of this vnode compared with other vnodes.
    Readable by all; settable by Operator and Manager.
    Format: Integer
    Python type: int
    Valid values: -1024 to +1023
    Default: No default

provision_enable
    Controls whether this vnode can be provisioned. Cannot be set on server's host.
    Format: Boolean
    Python type: bool
    Behavior:

    True
        This vnode may be provisioned.

    False
        This vnode may not be provisioned.

    Default: False

queue
    The queue with which this vnode is associated. Each vnode can be associated with at most 1 queue. Queues can be associated with multiple vnodes. Any jobs in a queue that has associated vnodes can run only on those vnodes. If a vnode has an associated queue, only jobs in that queue can run on that vnode.
    Readable by all; settable by Manager.
    Format: String
    Python type: pbs.queue
    Behavior:

    <name of queue>
        Only jobs in specified queue may run on this vnode.

    Unset
        Any job in any queue that does not have associated vnodes can run on this vnode.

    Default: No default

resources_assigned
    The total amount of each resource allocated to jobs and started reservations running on this vnode.
    Readable by all; set by PBS.
    Format: String
    Syntax:
    resources_assigned.<resource name>=<value>[,resources_assigned.<resource name>=<value>

    Python type: pbs.pbs_resource
    Syntax:
    resources_assigned['<resource name>'] = < val>
    where resource name is any built-in or custom resource

    Default: No default

resources_available
    The list of resource and amounts available on this vnode. If not explicitly set, the amount shown is that reported by the pbs_mom running on this vnode. If a resource value is explicitly set, that value is retained across restarts.
    Readable by all; settable by Operator and Manager.
    Format: String
    Syntax:
    resources_available.<resource name>=<value>, resources_available.<resource name> = <value>, ...

    Python type: pbs.pbs_resource
    Syntax:
    resources_available['<resource name>'] = < val>
    where resource name is any built-in or custom resource

    Default: No default

resv
    List of advance and standing reservations pending on this vnode.
    Readable by all; set by PBS.
    Format: String
    Syntax:
    <reservation ID>[, <reservation ID>, ...]
    (Comma-separated list of reservation IDs)

    Python type: str
    Example: resv = R142.examplemachine, R143.examplemachine
    Default: No default

resv_enable
    Controls whether the vnode can be used for advance and standing reservations. Reservations are incompatible with cycle harvesting.
    Readable by all; settable by Manger.
    Format: Boolean
    Python type: bool
    Behavior:
    When set to True, this vnode can be used for reservations. Existing reservations are honored when this attribute is changed from True to False.

    Default: True

sharing
    Specifies whether more than one job at a time can use the resources of the vnode or the vnode's host. Either (1) the vnode or host is allocated exclusively to one job, or (2) the vnode's or host's unused resources are available to other jobs.
    Can be set using pbs_mom -s insert only.
    Readable by all; settable by Operator and Manager.
    Format: String
    Python type: int
    Valid values:

    default_shared
        Defaults to shared
        Python type: pbs.ND_DEFAULT_SHARED

    default_excl
        Defaults to exclusive
        Python type: pbs.ND_DEFAULT_EXCL

    default_exclhost
        Entire host is assigned to the job unless the job's sharing request specifies otherwise
        Python type: pbs.ND_DEFAULT_EXCLHOST

    ignore_excl
        Overrides any job place=excl setting
        Python type: pbs.ND_IGNORE_EXCL

    force_excl
        Overrides any job place=shared setting
        Python type: pbs.ND_FORCE_EXCL

    force_exclhost
        The entire host is assigned to the job, regardless of the job's sharing request
        Python type: pbs.ND_FORCE_EXCLHOST

    Unset
        Defaults to shared

    Behavior of a vnode or host is determined by a combination of the sharing attribute and a job's placement directive, defined as follows:
                     | Vnode Behavior      | Host Behavior
                     | when place=         | when place=
                     |                     |
    sharing value    | unset  shared excl  |exclhost !=exclhost
    ----------------------------------------------------------------
    not set          | shared shared excl  | excl   depends on place
    default_shared   | shared shared excl  | excl   depends on place
    default_excl     | excl   shared excl  | excl   depends on place
    default_exclhost | excl   shared excl  | excl   depends on place
    ignore_excl      | shared shared shared| shared not exclusive
    force_excl       | excl   excl   excl  | excl   not exclusive
    force_exclhost   | excl   excl   excl  | excl   excl
    Example: <vnode name>: sharing=force_excl
    Default value: default_shared

state
    Shows or sets the state of the vnode.
    Readable by all. All states are set by PBS; Operator and Manager can set state to offline.
    Format: String
    Syntax: <state>[, <state>, ...]
    (Comma-separated list of one or more states)
    Python type: int
    Valid values:

    busy
        Vnode is reporting load average greater than allowed max. Can combine with offline

    down
        Node is not responding to queries from the server. Cannot be combined with free, provisioning.

    free
        Vnode is up and capable of accepting additional job(s). Cannot be combined with other states.

    job-busy
        All CPUs on the vnode are allocated to jobs. Can combine with: offline, resv_exclusive

    job-exclusive
        Entire vnode is exclusively allocated to one job at the job's request. Can combine: offline, resv_exclusive

    offline
        Jobs are not to be assigned to this vnode. Can combine: busy, job-busy, job-exclusive, resv_exclusive

    provisioning
        Vnode is in being provisioned. Cannot be combined with other states.

    resv-exclusive
        Running reservation has requested exclusive use of vnode. Can combine with: job-exclusive, offline

    stale
        Vnode was previously reported to server, but is no longer reported to server. Cannot combine with free, provisioning.

    state-unknown
        The server has never been able to contact the vnode. Either MoM is not running on the vnode, the vnode hardware is down, or there is a network problem.

    unresolvable
        The server cannot resolve the name of the vnode.

    wait-provisioning
        Vnode needs to be provisioned, but can't: limit reached for concurrently provisioning vnodes. See the max_concurrent_provision server attribute.

    Default: No default

topology_info
    Contains information intended to be used in hooks.
    Visible in and usable by hooks only. Invisible to Manager, Operator, User.
    Format: XML String
    Python type: str
    Default value: Unset

vnode_pool
    Cray only. Allows just one MoM, instead of all, to report inventory upon startup, allowing faster startup and less network communication between server and non-reporting MoMs. On each Cray, all MoMs must have same setting for this attribute. Can be set only at vnode creation; valid only on login nodes running a MoM. Not supported on non-Cray machines.
    Readable by all; settable by Manager.
    Format: Integer
    Python type: int
    Behavior:

    >0  Only one MoM per Cray reports inventory.

    Unset
        Each MoM reports inventory separately.

    Default: 0 (Unset)

SEE ALSO
The PBS Professional Administrator's Guide, qmgr(1B)